AOWP_PHPReferenceVariableElement (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.AOWP_PHPReferenceVariableElement
/parser/ast/PHPReferenceVariableElement.class.php at line 19

# Class AOWP_PHPReferenceVariableElement

    AOWP_PHPElement
        └─AOWP_PHPReferenceVariableElement

public class AOWP_PHPReferenceVariableElement
extends AOWP_PHPElement

PHPのASTにおける「変数」を表すクラス。 文法規則: unticked_statement。 `AOWP_VariableElement`は、非配列変数で、 このクラスは、添字付きの配列変数を表す。

Author:
  Ryoto Naruse /

Field Summary
AOWP_PHPElement $indexExpr | $indexExpr {@link AOWP_PHPVariableElement} or {@link AOWP_PHPScalarExprElement}
mixed | $variable 1次元配列の時は、{@link AOWP_PHPVariableElement}。 多次元配列の時は、{@link AOWP_PHPReferenceElement}。

Fields inherited from aowp.parser.ast.AOWP_PHPElement
NO_ARRAY, _line, parent, propertyIndex, propertyName

Constructor Summary
AOWP_PHPReferenceVariableElement(mixed line, mixed variable, mixed indexExpr, $indexExpr ) $_lineOrVariableElementは、{@link AOWP_PHPVariableElement} か {@link AOWP_ReferenceVariableElement} か intです。

Method Summary
void | __toString()
private AOWP_PHPVariableElement | _getLeftVariableElement() この配列の、変数 (添字を除く) を表す {@link AOWP_PHPVariableElement} を取得します。
AOWP_PHPReferenceVariableElement | addIndexExpr(mixed element, bool doClone, $element ) 引き数のASTエレメントを、この配列の添字として追加します。 返り値は、この添字を追加後の配列を表すASTインスタンスです。 $doClone が true の場合、呼び出されるインスタンスは、cloneで複製されて、 新たなASTインスタンスが生成されます。
array | getIndexArray() この配列の全ての添字を表すASTインスタンスを、 配列で取得します。 例えば、 $a[1]['2'][$f]; の場合、左から 1、'2'、$fの順でASTインスタンスが配列に格納されます。 配列に入る可能性があるASTを表すクラスは、{@link AOWP_PHPVariableElement}、 {@link AOWP_PHPScalarExprElement} です。
void | kind()
void | setIndexExpr(mixed element, $element ) 引き数のエレメントを、この配列の添字として設定します。
void | setIndexNumber(int indexNumber) 数字 (定数) のインデックスを設定します。
void | setIndexString(string indexString) 文字列のインデックスを設定します。
void | setVariableName(string variableName) 変数名を変更します。

Methods inherited from aowp.parser.ast.AOWP_PHPElement
__clone, __toString, getChildren, getParent, getParentContainer, getParentPropertyIndex, getParentPropertyName, initialize, kind, line, releaseInstance, setParent, setParentInfo

## Field Detail

/parser/ast/PHPReferenceVariableElement.class.php at line 33

### indexExpr

`public AOWP_PHPElement $indexExpr $indexExpr`

`AOWP_PHPVariableElement` or `AOWP_PHPScalarExprElement`

/parser/ast/PHPReferenceVariableElement.class.php at line 26

### variable

`public mixed $variable`

1次元配列の時は、`AOWP_PHPVariableElement`。 多次元配列の時は、`AOWP_PHPReferenceElement`。

## Constructor Detail

/parser/ast/PHPReferenceVariableElement.class.php at line 43

### AOWP_PHPReferenceVariableElement

`public AOWP_PHPReferenceVariableElement(mixed line, mixed variable, mixed indexExpr, $indexExpr )`

$_lineOrVariableElementは、`AOWP_PHPVariableElement` か `AOWP_ReferenceVariableElement` か intです。

## Method Detail

/parser/ast/PHPReferenceVariableElement.class.php at line 146

### __toString

`public void __toString()`

/parser/ast/PHPReferenceVariableElement.class.php at line 114

### _getLeftVariableElement

`private AOWP_PHPVariableElement _getLeftVariableElement()`

この配列の、変数 (添字を除く) を表す `AOWP_PHPVariableElement` を取得します。

/parser/ast/PHPReferenceVariableElement.class.php at line 101

### addIndexExpr

`public AOWP_PHPReferenceVariableElement addIndexExpr(mixed element, bool doClone, $element )`

引き数のASTエレメントを、この配列の添字として追加します。 返り値は、この添字を追加後の配列を表すASTインスタンスです。 $doClone が true の場合、呼び出されるインスタンスは、cloneで複製されて、 新たなASTインスタンスが生成されます。

/parser/ast/PHPReferenceVariableElement.class.php at line 135

### getIndexArray

`public array getIndexArray()`

この配列の全ての添字を表すASTインスタンスを、 配列で取得します。 例えば、 `$a[1]['2'][$f];` の場合、左から 1、'2'、$fの順でASTインスタンスが配列に格納されます。 配列に入る可能性があるASTを表すクラスは、`AOWP_PHPVariableElement`、 `AOWP_PHPScalarExprElement` です。

/parser/ast/PHPReferenceVariableElement.class.php at line 150

### kind

`public void kind()`

/parser/ast/PHPReferenceVariableElement.class.php at line 86

### setIndexExpr

`public void setIndexExpr(mixed element, $element )`

引き数のエレメントを、この配列の添字として設定します。

/parser/ast/PHPReferenceVariableElement.class.php at line 66

### setIndexNumber

`public void setIndexNumber(int indexNumber)`

数字 (定数) のインデックスを設定します。

/parser/ast/PHPReferenceVariableElement.class.php at line 76

### setIndexString

`public void setIndexString(string indexString)`

文字列のインデックスを設定します。

/parser/ast/PHPReferenceVariableElement.class.php at line 55

### setVariableName

`public void setVariableName(string variableName)`

変数名を変更します。

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr